package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源对象事件对象 adm_ems_obj_event
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsObjEvent
{
    /** 序号 */
    private Long id;

    /** 模型code */
    private String modelCode;

    /** 事件名称 */
    private String eventKey;

    /** 事件类型 */
    private Long eventType;

    /** 事件名称 */
    private String eventName;

    /** 事件名称 */
    private String eventDesc;

    /** 事件代码 */
    private String eventCode;

    /** 外系统事件代码 */
    private String extEventCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }
    public void setEventKey(String eventKey) 
    {
        this.eventKey = eventKey;
    }

    public String getEventKey() 
    {
        return eventKey;
    }
    public void setEventType(Long eventType) 
    {
        this.eventType = eventType;
    }

    public Long getEventType() 
    {
        return eventType;
    }
    public void setEventName(String eventName) 
    {
        this.eventName = eventName;
    }

    public String getEventName() 
    {
        return eventName;
    }
    public void setEventDesc(String eventDesc) 
    {
        this.eventDesc = eventDesc;
    }

    public String getEventDesc() 
    {
        return eventDesc;
    }
    public void setEventCode(String eventCode) 
    {
        this.eventCode = eventCode;
    }

    public String getEventCode() 
    {
        return eventCode;
    }
    public void setExtEventCode(String extEventCode) 
    {
        this.extEventCode = extEventCode;
    }

    public String getExtEventCode() 
    {
        return extEventCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("eventKey", getEventKey())
            .append("eventType", getEventType())
            .append("eventName", getEventName())
            .append("eventDesc", getEventDesc())
            .append("eventCode", getEventCode())
            .append("extEventCode", getExtEventCode())
            .toString();
    }
}
